=== requirements.txt ===
nose==1.3.6
ply==3.6
pep8==1.6.2
pylint==1.5.0
astroid==1.4.0
logilab-common<=0.63.0
