=== Mk/CMakeLists.txt ===
install(FILES lex-rules.am DESTINATION share/syslog-ng/tools)
