=== debian/changelog ===
syslog-ng (3.13.2-3) unstable; urgency=medium

  * [afa41f8] Fixed pylint reported new issues.
    The new version of pylint has an added
    check which triggered by some of the
    python code within the project. (Closes: #889303)

 -- SZALAY Attila <sasa@debian.org>  Sun, 11 Feb 2018 17:06:23 +0100

syslog-ng (3.13.2-2) unstable; urgency=medium

  * [776dd44] Removed two typo from the get_path_max code.
    Thanks to Aaron M. Ucko for the investigation of this bug (Closes: #885248)
  * [e4bb74a] Added the new packages to the test suit
  * [f8de833] Added required dependency of modules extra

 -- SZALAY Attila <sasa@debian.org>  Thu, 28 Dec 2017 19:15:55 +0100

syslog-ng (3.13.2-1) unstable; urgency=medium

  * [a088324] New upstream version 3.12.1
  * [029bb36] Removed unneeded dh-systemd (build) dependency
  * [aadc721] Temporally add libsnappy-dev dependency until libmongoc-dev fix it
  * [aa6e18e] Updated config version to 3.12
  * [eb5e839] Fixed filter expression of gbp import-orig
  * [dea804c] New upstream version 3.13.2
  * [abeab4a] Adapt patches to the new version
  * [8a82a05] Fixed new pylint issues
  * [4355398] Changed package priority to optional
  * [831da62] Enable fail-missing option of dh_missing
  * [251a0bc] Added new plugins
  * [cf80b16] Update the config version
  * [cff2c3e] Added a (disabled) test to compile incubator
  * [a8f4557] Remove obsoleted eventlog dependency (Closes: #881705)
  * [5e715ce] Upgrade ABI version because of incompatible changes

 -- SZALAY Attila <sasa@debian.org>  Wed, 20 Dec 2017 09:52:22 +0100
