=== debian/tests/control ===
Tests: basic
Depends: syslog-ng-core

Tests: basic
Depends: syslog-ng

Tests: basic
Depends: @

Tests: basic
Depends: syslog-ng-core, syslog-ng-mod-json

Tests: basic
Depends: syslog-ng-core, syslog-ng-mod-mongodb

Tests: basic
Depends: syslog-ng-core, syslog-ng-mod-sql

Tests: basic
Depends: syslog-ng-core, syslog-ng-mod-smtp

Tests: basic
Depends: syslog-ng-core, syslog-ng-mod-amqp

Tests: basic
Depends: syslog-ng-core, syslog-ng-mod-geoip

Tests: basic
Depends: syslog-ng-core, syslog-ng-mod-redis

Tests: basic
Depends: syslog-ng-core, syslog-ng-mod-stomp

Tests: basic
Depends: syslog-ng-core, syslog-ng-mod-riemann

Tests: basic
Depends: syslog-ng-core, syslog-ng-mod-graphite

Tests: basic
Depends: syslog-ng-core, syslog-ng-mod-python

Tests: basic
Depends: syslog-ng-core, syslog-ng-mod-add-contextual-data

Tests: basic
Depends: syslog-ng-core, syslog-ng-mod-getent

Tests: basic
Depends: syslog-ng-core, syslog-ng-mod-stardate

Tests: basic
Depends: syslog-ng-core, syslog-ng-mod-map-value-pairs

Tests: basic
Depends: syslog-ng-core, syslog-ng-mod-snmptrapd-parser

Tests: basic
Depends: syslog-ng-core, syslog-ng-mod-xml-parser

Tests: basic
Depends: syslog-ng-core, syslog-ng-mod-extra

Tests: basic
Depends: syslog-ng-core, syslog-ng-mod-tag-parser

Tests: upgrade
Restrictions: needs-root
Depends: apt-utils

Tests: baseconfig
Restrictions: needs-root

Tests: testinitscript
Depends: @, sysvinit-core
Restrictions: needs-root

#Tests: compile-incubator
#Depends: build-essential, syslog-ng-dev, fakeroot, debhelper, dh-autoreconf, automake, liblua5.2-dev, libperl-dev, python-dev, libgrok-dev, libtokyocabinet-dev, librdkafka-dev, libzmq3-dev, libmongo-client-dev
